> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.melonly.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get server applications

> Get paginated list of applications for a server. Requires authentication.



## OpenAPI

````yaml GET /server/applications
openapi: 3.0.0
info:
  contact: {}
  description: Melonlys Public API
  termsOfService: http://melonly.xyz/terms
  title: Melonly API
  version: '1.0'
servers:
  - url: https://api.melonly.xyz/api/v1
security: []
paths:
  /server/applications:
    get:
      tags:
        - applications
      summary: Get server applications
      description: >-
        Get paginated list of applications for a server. Requires
        authentication.
      responses:
        '200':
          description: successfully retrieved paginated applications
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ApplicationListResponse'
        '400':
          description: invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.BadRequestResponse'
        '401':
          description: authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UnauthorizedResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.ApplicationListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/models.ApplicationAPIResponse'
          type: array
        page:
          example: 1
          type: integer
        pageSize:
          example: 10
          type: integer
        total:
          example: 100
          type: integer
        totalPages:
          example: 10
          type: integer
      type: object
    models.BadRequestResponse:
      properties:
        error:
          example: invalid request parameters
          type: string
      type: object
    models.UnauthorizedResponse:
      properties:
        error:
          example: authorization header is required
          type: string
      type: object
    models.InternalServerErrorResponse:
      properties:
        error:
          example: internal server error
          type: string
      type: object
    models.ApplicationAPIResponse:
      properties:
        acceptanceRemoveRoles:
          items:
            type: string
          type: array
        acceptingResponses:
          type: boolean
        approvalRoles:
          items:
            type: string
          type: array
        banAppeal:
          type: integer
        banAppealNote:
          type: boolean
        bannerKey:
          type: string
        blockedDiscordRoles:
          items:
            type: string
          type: array
        closedMessage:
          type: string
        collectRobloxAccount:
          type: boolean
        color:
          type: string
        cooldown:
          type: integer
        createdAt:
          type: integer
        denialRemoveRoles:
          items:
            type: string
          type: array
        denialRoles:
          items:
            type: string
          type: array
        description:
          type: string
        eventsChannelId:
          type: string
        guildMemberAge:
          type: integer
        id:
          type: string
        inviteOnApproval:
          type: boolean
        lastUpdated:
          type: integer
        maxLogs:
          type: integer
        presets:
          items:
            type: object
          type: array
        questions:
          type: object
        requireApprovedReason:
          type: boolean
        requireDiscordMember:
          type: boolean
        requiredDenialReason:
          type: boolean
        requiredDiscordRoles:
          items:
            type: string
          type: array
        resultsChannelId:
          type: string
        resultsMentionUser:
          type: boolean
        revealReviewer:
          type: boolean
        reviewOnlyRoles:
          items:
            type: string
          type: array
        reviewerRoles:
          items:
            type: string
          type: array
        robloxGroupId:
          type: string
        sections:
          items:
            type: object
          type: array
        serverId:
          type: string
        stageResponses:
          type: boolean
        submissionMessage:
          type: string
        submitMentionRoles:
          items:
            type: string
          type: array
        title:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and the API token.
      in: header
      name: Authorization
      type: apiKey

````